# PLACEHOLDER
placeholder:
  name: "motor_name"
  manufacturer: "motor_manufactuer"
  model: "motor_model"
  sample:
    letter: "sample_letter"
    number: 0

  # Encoder Parameters
  encoder:
    type: "encoder_type"
    manufacturer: "encoder_manfucturer"
    model: ""

  # Motor Parameters
  parameters:
    type: "PMAC"
    turns: nan
    pole_pairs: nan
    ke: nan
    kt: nan
    stator_resistance: nan
    ld: nan
    lq: nan
    ls: nan

    # Nominal Values
    nominal:
      torque: nan
      power: nan

    # Motor Limits
    limits:
      # Maximum Limits
      max:
        speed: nan
        torque: nan
        power: nan
        voltage: nan
        current: nan
        coolant:
          rate: nan
          temperature: nan
        stator:
          temperature: nan
        rotor:
          temperature: nan
      
      # Minimum Limits
      min:
        speed: nan
        torque: nan
        power: nan
        voltage: nan
        current: nan
        coolant:
          rate: nan
          temperature: nan
        stator:
          temperature: nan
        rotor:
          temperature: nan

# DYNO 340 Kw
# PLACEHOLDER
dyno_340_kw:
  placeholder:
    name: "motor_name"
    manufacturer: "motor_manufactuer"
    model: "motor_model"
    sample:
      letter: "sample_letter"
      number: 0

    # Encoder Parameters
    encoder:
      type: "encoder_type"
      manufacturer: "encoder_manfucturer"
      model: ""

    # Motor Parameters
    parameters:
      type: "PMAC"
      turns: nan
      pole_pairs: nan
      ke: nan
      kt: nan
      stator_resistance: nan
      ld: nan
      lq: nan
      ls: nan

      # Nominal Values
      nominal:
        torque: nan
        power: nan

      # Motor Limits
      limits:
        # Maximum Limits
        max:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan
        
        # Minimum Limits
        min:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan

# DYNO 160 Kw
dyno_160_kw:
  # PLACEHOLDER
  placeholder:
    name: "motor_name"
    manufacturer: "motor_manufactuer"
    model: "motor_model"
    sample:
      letter: "sample_letter"
      number: 0

    # Encoder Parameters
    encoder:
      type: "encoder_type"
      manufacturer: "encoder_manfucturer"
      model: ""

    # Motor Parameters
    parameters:
      type: "PMAC"
      turns: nan
      pole_pairs: nan
      ke: nan
      kt: nan
      stator_resistance: nan
      ld: nan
      lq: nan
      ls: nan

      # Nominal Values
      nominal:
        torque: nan
        power: nan

      # Motor Limits
      limits:
        # Maximum Limits
        max:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan
        
        # Minimum Limits
        min:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan

# DYNO 100 Kw
dyno_100_kw:
  # PLACEHOLDER
  placeholder:
    name: "motor_name"
    manufacturer: "motor_manufactuer"
    model: "motor_model"
    sample:
      letter: "sample_letter"
      number: 0

    # Encoder Parameters
    encoder:
      type: "encoder_type"
      manufacturer: "encoder_manfucturer"
      model: ""

    # Motor Parameters
    parameters:
      type: "PMAC"
      turns: nan
      pole_pairs: nan
      ke: nan
      kt: nan
      stator_resistance: nan
      ld: nan
      lq: nan
      ls: nan

      # Nominal Values
      nominal:
        torque: nan
        power: nan

      # Motor Limits
      limits:
        # Maximum Limits
        max:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan
        
        # Minimum Limits
        min:
          speed: nan
          torque: nan
          power: nan
          voltage: nan
          current: nan
          coolant:
            rate: nan
            temperature: nan
          stator:
            temperature: nan
          rotor:
            temperature: nan